Retivo

System

Health checks and system status

Health check

GET
/api/health

Authorization

bearerAuth
AuthorizationBearer <token>

API key (rt_live_... or rt_test_...)

In: header

Response Body

application/json

application/json

curl -X GET "https://retivo.ai/api/health"
{
  "status": "ok",
  "checks": {
    "property1": {
      "status": "string",
      "latency_ms": 0,
      "error": "string"
    },
    "property2": {
      "status": "string",
      "latency_ms": 0,
      "error": "string"
    }
  },
  "version": "string",
  "uptime_seconds": 0
}
{
  "status": "degraded",
  "checks": {
    "property1": {
      "status": "string",
      "latency_ms": 0,
      "error": "string"
    },
    "property2": {
      "status": "string",
      "latency_ms": 0,
      "error": "string"
    }
  },
  "version": "string",
  "uptime_seconds": 0
}